Foreman - Bug #32153

"Deselect all" tooltip does not hide after click
03/22/2021 12:30 PM - Adi Abramovitch

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Web Interface

Target version:

Difficulty: easy Fixed in Releases: 25.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/8428
Description
Reproduce:

1. Create a new organization

2. Press submit

3. Deselect all in "Provisioning Templates”

4. Try to Deselect all in "Partition Tables"and the message will appear

Associated revisions

Revision d3ddfac0 - 04/09/2021 10:52 AM - Tomer Brisker

Fixes #32153 - Hide tooltip on multiselect all buttons

The tooltips remain shown on click because the elemnt they are attached
to is a "a’ tag, which remains in focus until the user clicks elsewhere

so there is no “focusout™ event fired.

For the deselect all button, the click handler calls

“multiSelect('refresh’)” which in turn removes the multiselect element
(with the tooltip event handlers) from the DOM?, leaving the tooltip
always displayed.

Since we only use tooltips for hover help, the “focus’ trigger has been
removed. Popovers should be used when showing information that is
displayed on focus (i.e. when clicking on an element).

[1] https://github.com/lou/multi-select/blob/0.9.12/js/jquery.multi-select.js#1 335

History

#1 - 04/05/2021 12:35 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8428 added

#2 - 04/07/2021 07:23 AM - Tomer Brisker

- Subject changed from message "Deselect all" appears when moving to a different page to "Deselect all" tooltip does not hide after click
- Category deleted (Web Interface)

- Assignee deleted (Adi Abramovitch)

Note: this is true for any multiselect box, the tooltips for deselect aren't hideable.

#3 - 04/07/2021 07:24 AM - Tomer Brisker
- Category set to Web Interface

- Assignee set to Tomer Brisker

#4 - 04/09/2021 10:52 AM - The Foreman Bot
- Fixed in Releases 2.5.0 added

05/17/2024 1/2



https://github.com/lou/multi-select/blob/0.9.12/js/jquery.multi-select.js#L335

#5 - 04/09/2021 11:01 AM - Tomer Brisker
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|d3ddfac0437ad29e4ef9346d03f04a08475a3bc2.

05/17/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d3ddfac0437ad29e4ef9346d03f04a08475a3bc2
http://www.tcpdf.org

